CC = gcc
CFLAGS = -O2

FF = g77
FFLAGS = -O2

all: stream_linux stream_linux_openmp

stream_linux: stream.c
	$(CC) $(CFLAGS) $(LDFLAGS) stream.c -o stream_c

stream_linux_openmp: stream.c
	$(CC) $(CFLAGS) $(OPTIMIZATIONS) $(LDFLAGS) -fopenmp stream.c -o stream_c_openmp

stream_f.exe: stream.f mysecond.o
	$(CC) $(CFLAGS) -c mysecond.c
	$(FF) $(FFLAGS) -c stream.f
	$(FF) $(FFLAGS) stream.o mysecond.o -o stream_f.exe

stream_c.exe: stream.c
	$(CC) $(CFLAGS) stream.c -o stream_c.exe

clean:
	rm -f stream_f.exe stream_c.exe stream_c_openmp stream_c *.o
